%Common Packages with options
\usepackage[utf8]{inputenc}
\usepackage[a4paper]{geometry}
\usepackage[myheadings]{fullpage}
\usepackage[T1]{fontenc}
\usepackage[font=small, labelfont=bf]{caption}
\usepackage[protrusion=true, expansion=true]{microtype}
\usepackage[toc]{appendix}

%Common Packages without options (5 by 5)
\usepackage{hyperref, eurosym, fancyhdr, lastpage, pdfpages}
\usepackage{graphicx, wrapfig, subcaption, setspace, booktabs}
\usepackage{minitoc, fourier, sectsty, titling, color}
\usepackage{listings, epigraph, csquotes, array}

%Settings of the packages
\onehalfspacing
\setcounter{tocdepth}{5}
\setcounter{secnumdepth}{5}
\pagestyle{fancy}
\fancyhf{}
\setlength\headheight{15pt}

\fancyhead[L]{\thetitle}
\fancyhead[R]{Notes de cours}
\fancyfoot[L]{Collection SeaLevel}
\fancyfoot[R]{Page \thepage\ - \pageref{LastPage}}

\newcommand{\HRule}[1]{\rule{\linewidth}{#1}}
\sectionfont{\scshape}
\newcommand{\inlineCode}[1]{\fbox{\lstinline{#1}}}
\lstnewenvironment{blockCode}{\lstset{aboveskip=3mm, belowskip=-2mm, breakatwhitespace=false, breaklines=true, captionpos=b, commentstyle=\color{gray}, deletekeywords={...}, escapeinside={\%*}{*)}, extendedchars=true, framexleftmargin=16pt, framextopmargin=3pt, framexbottommargin=6pt, frame=single, keepspaces=true, keywordstyle=\color{blue}, morekeywords={*,...}, numbers=left, numbersep=10pt, numberstyle=\tiny\color{black}, rulecolor=\color{black}, showspaces=false, showstringspaces=false, showtabs=false, stepnumber=1, stringstyle=\color{gray}, tabsize=4, title=\lstname}}{}
\lstset{literate=
  {²}{{\textsuperscript{2}}}1
  {⁴}{{\textsuperscript{4}}}1
  {⁶}{{\textsuperscript{6}}}1
  {⁸}{{\textsuperscript{8}}}1
  {€}{{\euro{}}}1
  {é}{{\'e}}1
  {è}{{\`{e}}}1
  {ê}{{\^{e}}}1
  {ë}{{\¨{e}}}1
  {É}{{\'{E}}}1
  {Ê}{{\^{E}}}1
  {û}{{\^{u}}}1
  {ù}{{\`{u}}}1
  {â}{{\^{a}}}1
  {à}{{\`{a}}}1
  {á}{{\'{a}}}1
  {ã}{{\~{a}}}1
  {Á}{{\'{A}}}1
  {Â}{{\^{A}}}1
  {Ã}{{\~{A}}}1
  {ç}{{\c{c}}}1
  {Ç}{{\c{C}}}1
  {õ}{{\~{o}}}1
  {ó}{{\'{o}}}1
  {ô}{{\^{o}}}1
  {Õ}{{\~{O}}}1
  {Ó}{{\'{O}}}1
  {Ô}{{\^{O}}}1
  {î}{{\^{i}}}1
  {Î}{{\^{I}}}1
  {í}{{\'{i}}}1
  {Í}{{\~{Í}}}1
}